Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0023619
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminoralways2013-04-23 15:572013-04-25 01:50
ReporterAugustoMauchView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revisiond4a9088f6a09
ProjectionnoneETAnoneTarget Version3.0MP23
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toshankarb
Web browser
ModulesCore
Regression levelProduction - QA Approved
Regression date2013-02-19
Regression introduced in release
Regression introduced by commithttps://code.openbravo.com/erp/devel/pi/rev/b55c25ebb28b170915385a37ad4d578d37c10802 [^]
Triggers an Emergency PackNo
Summary

0023619: Pick and execute grid does not remember selection when it is sorted

DescriptionWhen the user clicks on a record in a pick and execute grid and then sorts the grid by clicking on a column, the record will be deselected.
Steps To ReproduceAs F&B Group Admin:
- Open the Return From Customer window
- Create a new record and save it
- Click on the Pick/Edit Lines and clear the filter.
- Select two records and click on a column header to sort the grid. Check that the records are no longer selected.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 00227973.0MP21 closedshankarb Pick and Execute in Payment Proposal window is not working properly 

-  Notes
(0058135)
hgbot (developer)
2013-04-23 16:16

Repository: erp/devel/pi
Changeset: d4a9088f6a09ad7a1330741d94340f2860b15ae7
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Apr 23 16:14:34 2013 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/d4a9088f6a09ad7a1330741d94340f2860b15ae7 [^]

Fixes issue 23619: P&E grids remember the selection when grid is sorted

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/process/ob-pick-and-execute-grid.js
---
(0058161)
shankarb (developer)
2013-04-24 05:27

Code reviewed and tested in pi changeset 0136b85e15e3
(0058197)
hudsonbot (developer)
2013-04-25 01:50

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/9fa1ecafd560 [^]

Maturity status: Test

- Issue History
Date Modified Username Field Change
2013-04-23 15:57 AugustoMauch New Issue
2013-04-23 15:57 AugustoMauch Assigned To => AugustoMauch
2013-04-23 15:57 AugustoMauch Modules => Core
2013-04-23 15:57 AugustoMauch Triggers an Emergency Pack => No
2013-04-23 15:58 AugustoMauch Regression level => Production - QA Approved
2013-04-23 15:58 AugustoMauch Regression date => 2013-02-19
2013-04-23 15:58 AugustoMauch Regression introduced by commit => https://code.openbravo.com/erp/devel/pi/rev/b55c25ebb28b170915385a37ad4d578d37c10802 [^]
2013-04-23 16:01 AugustoMauch Relationship added related to 0022797
2013-04-23 16:15 AugustoMauch Issue Monitored: shankarb
2013-04-23 16:15 AugustoMauch Review Assigned To => shankarb
2013-04-23 16:16 hgbot Checkin
2013-04-23 16:16 hgbot Note Added: 0058135
2013-04-23 16:16 hgbot Status new => resolved
2013-04-23 16:16 hgbot Resolution open => fixed
2013-04-23 16:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/d4a9088f6a09ad7a1330741d94340f2860b15ae7 [^]
2013-04-24 05:27 shankarb Note Added: 0058161
2013-04-24 05:27 shankarb Status resolved => closed
2013-04-25 01:50 hudsonbot Checkin
2013-04-25 01:50 hudsonbot Note Added: 0058197


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker